cURL
curl --request GET \ --url https://api.axiom.co/v2/tokens/{id} \ --header 'Authorization: Bearer <token>'
{ "datasetCapabilities": {}, "id": "<string>", "name": "<string>", "orgCapabilities": { "annotations": [ "create" ], "apiTokens": [ "create" ], "auditLog": [ "read" ], "billing": [ "read" ], "dashboards": [ "create" ], "datasets": [ "create" ], "endpoints": [ "create" ], "flows": [ "create" ], "integrations": [ "create" ], "monitors": [ "create" ], "notifiers": [ "create" ], "rbac": [ "create" ], "sharedAccessKeys": [ "read" ], "users": [ "create" ], "views": [ "create" ] }, "description": "<string>", "expiresAt": "2023-11-07T05:31:56Z", "samlAuthenticated": true, "viewCapabilities": {} }
Get API token by ID
Authenticate using an API token or personal access token (PAT). Include the token as a Bearer token: Authorization: Bearer <token>. For more information, see Tokens.
Authorization: Bearer <token>
Token
Show child attributes
ID of the token
Name of the token
Description of the token
Expiration date of the token (ISO 8601 format)
Was this page helpful?
Suggestions
Contact support